<?xml version="1.0" encoding="euc-kr"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans 
		http://www.springframework.org/schema/beans/spring-beans.xsd ">
	<bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="systemPropertiesModeName" value="SYSTEM_PROPERTIES_MODE_FALLBACK" />
	</bean>
	<bean id="ERPListener" class="com.cim.idm.framework.esb.tibco.DQListener" destroy-method="close">
		<property name="service" value="15060" />
		<property name="network" value=";225.20.15.6" />
		<property name="daemon" value="" />
		<property name="subjectName"
			value="${company}.${factory}.${cim}.${mode}.${svr}" />
		<property name="queueName"
			value="${company}.${factory}.${cim}.${mode}.${svr}.${dq}" />
		<property name="workerWeight" value="${workerWeight}" />
		<property name="workerTasks" value="${workerTasks}" />
		<property name="schedulerWeight" value="${schedulerWeight}" />
		<property name="encoding" value="utf-8" />
		<!-- <property name="explicitConfirm" value="true" /> -->
	</bean>
	<bean id="ToERPSender"
		class="com.cim.idm.framework.esb.tibco.DefaultRequester">
		<property name="sendSubjectName" value="${company}.${factory}.${cim}.${mode}.${svr}" />
		<property name="service" value="15060" />
		<property name="daemon" value="" />
		<property name="dataField" value="${dataField}" />
		<property name="network" value=";225.20.15.6" />
	</bean>
	<bean id="ERPSender"
		class="com.cim.idm.framework.esb.GenericSender">
		<property name="requester" ref="ToERPSender" />
	</bean>
	<bean id="GenericSender"
		class="com.cim.idm.framework.esb.GenericSender">
		<property name="requester" ref="TibSender" />
	</bean>
	<bean id="TibSender"
		class="com.cim.idm.framework.esb.tibco.DefaultRequester">
		<property name="service" value="15800" />
        <property name="daemon" value="" />
        <property name="dataField" value="${dataField}" />
        <property name="network" value=";225.20.15.8" />
	</bean>
		
</beans>

